3

I am getting error when trying to install Count Items (Version : 1.0.1.0 / 1.0.0.0) alchemy plugin.

Error Message : 'Count Items' Plugin Installation Failed!

for information I am using Tridion 2013 SP1 and Alchemy V0.8.0.0.

Here are the log details -

     "a4tUser:" Object { groups: Array[1], id: "tcm:0-207-65552", isSystemAdministrator: true, name: "IN\Saynatn.Basu", permissions:
 Object } a4t.js:1982
     "Get user plugins : [{"authorId":"557fe091e4de02112cba019e","authorName":"Peter

 Kjaer","authorType":"Individual","averageUserRating":4,"downloads":0,"id":"56a615dee4de0210c46f648e","iconId":"56a615dfe4de0210c46f6490","name":"Peek","userRatingCount":1},{"authorId":"557fce89e4de02130883d38b","authorName":"Pankaj
 Gaur","authorType":"Individual","averageUserRating":15,"downloads":8,"id":"568bf6dce4de020e8ccb01a8","iconId":"568bf6dee4de020e8ccb01a9","name":"Component
 Synchronizer","userRatingCount":3},{"authorId":"557fe091e4de02112cba019e","authorName":"Peter

 Kjaer","authorType":"Individual","averageUserRating":13,"downloads":4,"id":"567bd4ebe4de0217205ea3ea","iconId":"567beb2ae4de0217205ea403","name":"Count
 Items","userRatingCount":3},{"authorId":"55b7def9e4de020fa4ce389b","authorName":"Damian
 Jewett","authorType":"Individual","averageUserRating":22,"downloads":7,"id":"56679a66e4de020d8ce5efef","iconId":"5678d3f2e4de0214a4c1d814","name":"Not
 Used","userRatingCount":5},{"authorId":"557fe091e4de02112cba019e","authorName":"Peter
 Kjaer","authorType":"Individual","averageUserRating":34,"downloads":10,"id":"56619c3be4de021388dc465d","iconId":"5661a45de4de021388dc4669","name":"Add
 User By
 Name","userRatingCount":7},{"authorId":"55686804e4de040e681e2f41","authorName":"Content
 Bloom","authorType":"DeveloperGroup","averageUserRating":10,"downloads":10,"id":"56337659e4de021114386114","iconId":"5639312be4de020f30e18a53","name":"Publish
 Queue
 Refresher","userRatingCount":2},{"authorId":"55686804e4de040e681e2f41","authorName":"Content
 Bloom","authorType":"DeveloperGroup","averageUserRating":25,"downloads":9,"id":"5634dae5e4de020c30dd8cdd","iconId":"5634e59be4de0213402410f8","name":"Logout","userRatingCount":5},{"authorId":"55686804e4de040e681e2f41","authorName":"Content
 Bloom","authorType":"DeveloperGroup","averageUserRating":17,"downloads":5,"id":"55a93feae4de0203c42d9916","iconId":"55ea62c3e4de0213ac816816","name":"Global
 Values","userRatingCount":4},{"authorId":"55faa373e4de02115019a52d","authorName":"Mark Richardson","authorType":"Individual","averageUserRating":18,"downloads":15,"id":"56093937e4de0211ecfc1c5f","iconId":"5616cb02e4de020a7429613c","name":"Real
 Time Publish
 Queue","userRatingCount":4},{"authorId":"55b21daae4de021380f88bba","authorName":"Harald
 Hoffelinck","authorType":"Individual","averageUserRating":20,"downloads":28,"id":"55b7f4aee4de020470ad52ab","iconId":"55d708b9e4de0206fc1b1565","name":"GoogleAnalyticsReporting","userRatingCount":4},{"authorId":"55af77cee4de02107c740bc7","authorName":"Tahzoo","authorType":"DeveloperGroup","averageUserRating":21,"downloads":20,"id":"55af78b4e4de02107c740bc9","iconId":"561fcebae4de0215d441247e","name":"ModifiedAfterPublish","userRatingCount":5},{"authorId":"55686804e4de040e681e2f41","authorName":"Content
 Bloom","authorType":"DeveloperGroup","averageUserRating":10,"downloads":50,"id":"55e8993ae4de02138c31b548","iconId":"55e8993ae4de02138c31b54b","name":"Big
 Box Of Samples","userRatingCount":2}]" a4t.js:3670
     Object { message: "An error has occurred." } a4t.js:2191
  syntax error
4

I hope you are trying to install it by accessing the webstore from the CME and clicking Installand receiving the above error - This is a known issue already reported with the Alchemy team I guess.

Alternatively, you can visit the webstore in the browser and Downloadthe .a4t file - subsequently drag and drop the .a4t in the Alchemy in CME.

further, check if supported version of plug-in is lesser or equal to your Alchemy version

If you are still getting the error, try to clear the cache, reset IIS APP Pool, and reopen the browser with CME and repeat the above steps.

If it still does not resolve and gives error - Take a backup of all your plug-ins, Uninstall Alchemy, Re-Install Alchemy and try re-installing plug-ins - I hope this will resolve your issues.

  • Yes! I was trying to accessing the webstore from CME.. Thanks for the information. As Peter suggested I will try to uninstall it first and then upload the .a4t file – Sayantan Basu Mar 17 '16 at 13:29
3

If the log file can be trusted, it appears that you already have it installed:

{"authorId":"557fe091e4de02112cba019e","authorName":"Peter Kjaer","authorType":"Individual","averageUserRating":13,"downloads":4,"id":"567bd4ebe4de0217205ea3ea","iconId":"567beb2ae4de0217205ea403","name":"Count Items","userRatingCount":3}

If this is an older version, you should uninstall it first and then install the new version.

  • How to uninstall the older version ? – Sayantan Basu Mar 17 '16 at 13:26
  • It should be showing in your list of installed plugins. Then you just click uninstall. If it's not showing up, perhaps you have a problem with your Alchemy installation? – Peter Kjaer Mar 17 '16 at 16:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.